<?
require_once '../core/system.php';
require_once 'sys.php';
echo only_reg();
$header = 'Рейтинг кланов';
require_once '../core/head.php';

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `clans`") ,0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];

$q = mysql_query("SELECT * FROM `clans` ORDER BY `exp` DESC LIMIT $start, $set[p_str]");
$i = 1;
echo "<div class='block_zero'>";
while($row = mysql_fetch_assoc($q)) {
    if($page == 1 && $i < 11) {
        $sto = $row['storona'];
        echo "<div class='block_zero'>
        <img src='/images/icon/crys/$i.png' alt=''/> $i место
        <div class='mb10'></div>
        <img class='float-left' src='/images/icon/clan/gerb/".$row['gerb'].".png' alt='' style='margin-right:3px;'/></a>
        <img src='/images/icon/clan/".$sto.".png' alt=''/> <a href='/clan/clan.php?id=".(int) $row['id']."'>".htmlspecialchars($row['name'])."</a><br/>
        <img src='/images/icon/level.png' alt=''/> Уровень: <b>".clan_lvl($row['exp'])."</b><br/>
        <img src='/images/icon/exp.png' alt=''/> Опыт: ".show_exp($row['exp'])."<br/>
        </div>
        <div style='clear:both;'></div>
        <div class='mini-line'></div><br>";
    } else {
        echo "
        <img src='/images/icon/clan/".(int) $row['storona'].".png' alt=''/> <a href='/clan/clan.php?id=".(int) $row['id']."'>".htmlspecialchars($row['name'])."</a>, 
        <img src='/images/icon/level.png' alt='lvl'/> <b>".clan_lvl($row['exp'])."</b><br />";              
    }
    $i++;   
}

echo "</div>";

if ($k_page>1){
    echo "<div class='dot-line'></div>";
    str('?',$k_page,$page);
}

echo "
<div class='dot-line'></div>
<div class='menuList'>
<li><a href='/clan/search.php'><img src='/images/icon/clan.png' alt=''/>Поиск клана</a></li>
</div>
<div class='mini-line'></div>
<div class='menuList'>
<li><a href='/clan/create.php'><img src='/images/icon/clan.png' alt=''/>Создать клан</a></li>
</div>
<div class='mini-line'></div>
<ul class='hint'>
<li style='font-size: 11px;'>Чтобы вступить в уже существующий клан, попросите лидера клана пригласить Вас</small></li>
</ul>
</div>";
include '../core/foot.php';